Loading...
Searching...
No Matches
serializers.h File Reference

IP address serialization utilities. More...

`#include "ada/common_defs.h"`
`#include <array>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | ada::serializers
| IP address serialization functions.
namespace | ada

## Functions

void | ada::serializers::find_longest_sequence_of_ipv6_pieces (const std::array< uint16_t, 8 > &address, size_t &compress, size_t &compress_length) noexcept
std::string | ada::serializers::ipv6 (const std::array< uint16_t, 8 > &address)
std::string | ada::serializers::ipv4 (uint64_t address)

## Detailed Description

IP address serialization utilities.

This header provides functions for converting IP addresses to their string representations according to the WHATWG URL Standard.

Definition in file serializers.h.